org.apache.hadoop.hdfs.web.resources

## Class PutOpParam

- java.lang.Object
- - org.apache.hadoop.hdfs.web.resources.Param<E,org.apache.hadoop.hdfs.web.resources.EnumParam.Domain<E>>
  - - org.apache.hadoop.hdfs.web.resources.HttpOpParam<PutOpParam.Op>
    - - org.apache.hadoop.hdfs.web.resources.PutOpParam

-     public class PutOpParam
      extends HttpOpParam<PutOpParam.Op>

  Http POST operation parameter.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PutOpParam.Op` Put operations.

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.hdfs.web.resources.HttpOpParam

      `HttpOpParam.TemporaryRedirectOp, HttpOpParam.Type`

  - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.hdfs.web.resources.HttpOpParam

      `DEFAULT, NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PutOpParam(String str)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`

    - ### Methods inherited from class org.apache.hadoop.hdfs.web.resources.HttpOpParam

      `getValueString`

    - ### Methods inherited from class org.apache.hadoop.hdfs.web.resources.Param

      `getValue, toSortedString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PutOpParam

          public PutOpParam(String str)

      Constructor.
      Parameters:
        `str` - a string representation of the parameter value.

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in class `Param<PutOpParam.Op,org.apache.hadoop.hdfs.web.resources.EnumParam.Domain<PutOpParam.Op>>`
      Returns:
        the parameter name.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.